<?php
$ok = 1;

if ("1" == $_POST['aktstep'])
{
	if ($_POST['Email'] != $_POST['Email2'])
	{
		$email = "Die eingegebenen Email-Adressen stimmen nicht überein!<br />";
		$ok = 0;
		$check_email = 1;
	}
	else
	{
		if ("" == $_POST['Email'])
		{
			$email = "Bitte geben Sie eine Email-Adresse an!<br />";
			$ok = 0;
			$check_email = 1;
		}
	}
	if ("" == $_POST['Vorname'])
	{
		$vor = "Bitte geben Sie Ihren Vornamen an!<br />\n";
		$ok = 0;
		$check_vor = 1;
	}
	if ("" == $_POST['Nachname'])
	{
		$nach = "Bitte geben Sie Ihren Nachnamen an!<br />\n";
		$ok = 0;
		$check_nach = 1;
	}
	if ("" == $_POST['Strasse'])
	{
		$strasse = "Bitte geben Sie Ihre Anschrift an!<br />\n";
		$ok = 0;
		$check_str = 1;
	}
	if ("" == $_POST['PLZ'])
	{
		$plz = "Bitte geben Sie Ihre Postleitzahl an!<br />\n";
		$ok = 0;
		$check_plz = 1;
	}
	if ("" == $_POST['Ort'])
	{
		$ort = "Bitte geben Sie Ihren Ort an!<br />\n";
		$ok = 0;
		$check_plz = 1;
	}
	if ("" == $_POST['Land'])
	{
		$land = "Bitte geben Sie Ihr Land an!<br />\n";
		$ok = 0;
		$check_land = 1;
	}
	if ("" == $_POST['Telefon'])
	{
		$tel = "Bitte geben Sie für Rückfragen Ihre Telefonnummer an!<br />\n";
		$ok = 0;
		$check_tel = 1;
	}
}

if ("2" == $_POST['aktstep'])
{
	if ($_POST['Passwort'] != $_POST['Passwort2'])
	{
		$pass = "Die eingegebenen Passwörter stimmen nicht überein!<br />";
		$ok = 0;
		$check_pass = 1;
	}
	else
	{
		if ("" == $_POST['Passwort'])
		{
			$pass = "Bitte vergeben Sie ein Passwort<br />";
			$ok = 0;
			$check_pass = 1;
		}
	}
	if ("" == $_POST['User'])
	{
		$user = "Bitte geben Sie einen Benutzernamen an!<br />";
		$ok = 0;
		$check_user = 1;
	}
	else
	{
		$sql = "SELECT * FROM Admin WHERE (User = \"" . $_POST['User'] . "\");";
		$result = $db->query($sql);
		if ($result->num_rows)
		{
			$user = "Benutzername wird vom System bereits verwendet. Bitte verwenden Sie einen anderen Benutzernamen!<br />";
			$ok = 0;
			$check_user = 1;
		}
	}
}

if ("4" == $_POST['aktstep'])
{
	if (!$_POST['agb_ok'])
	{
		$agb = "Um den Bestellvorgang fortzusetzen, müssen Sie die Datenschutzrichtlinien und die AGBs bestätigen!<br />";
		$ok = 0;
		$check_agb = 1;
	}
}

if ("5" == $_POST['aktstep'])
{
	if ($_POST['Ergebnis'] != $_POST['Abfrage'])
	{
		$sicher = "Bitte beantworten Sie die Sicherheitsabfrage richtig!<br />";
		$ok = 0;
		$check_sicher = 1;
	}
}